<?php
// $Id: modinfo.php,v 1.6 2003/10/20 07:18:29 gstarret Exp $
// Module Info

define('_MI_GALLERY_BNAME1', "New Images");
define('_MI_GALLERY_BNAME2', "Random Picture");
define('_MI_GALLERY_PNMDIR', "Path to NetPBM");
define('_MI_GALLERY_PNMDIRDSC', "The path to the directory containing NetPBM on your system. If you downloaded NetPBM from the Gallery download page, don't forget to make the files executable. Run <b>check_netpbm.php</b> to check if the setting is correct.");
define('_MI_GALLERY_IMPATH', 'Path to ImageMagick');
define('_MI_GALLERY_IMPATHDSC', 'The path to the directory containing ImageMagick on your system. Run <b>check_imagemagick.php</b> to check if the setting is correct.');
define('_MI_GALLERY_GRPHCS', 'Graphics suite to use?');
define('_MI_GALLERY_GRPHCSDSC', 'This setting tells Gallery which set of graphics tools you prefer it to use. You would need NetPBM or ImageMagick installed on your system. See the above options. ');
define('_MI_GALLERY_SHOWTREE', 'Show the album tree');
define('_MI_GALLERY_SHOWTREEDSC', "If you turn this option on, you'll see a complete list of all sub-albums when you're browsing the top level of your Gallery. This will make navigating to a specific sub album much easier (although it can severely clutter the appearance of the top Gallery page). Set to no by default");
define('_MI_GALLERY_COLS', 'Default Columns');
define('_MI_GALLERY_COLSDSC', 'The default number of columns in an album');
define('_MI_GALLERY_ROWS', 'Default Rows');
define('_MI_GALLERY_ROWSDSC', 'The default number of rows in an album');
define('_MI_GALLERY_HLSIZE', 'Highlight size');
define('_MI_GALLERY_HLSIZEDSC', 'The target size (in pixels) of thumbnails shown in the gallery page (highlight images)');
define('_MI_GALLERY_THMBSIZE', 'Thumbnail size');
define('_MI_GALLERY_THMBSIZEDSC', 'The default target size (in pixels) of album thumbnails.');
define('_MI_GALLERY_RESIZE', 'Resized image size');
define('_MI_GALLERY_RESIZEDSC', 'When large images are added to an album, an intermediary version will automatically be generated at this size');
define('_MI_GALLERY_FITWIN', 'Fit-to-window');
define('_MI_GALLERY_FITWINDSC', "When viewing photos which don't have an intermediary version, Gallery can automatically resize the image to fit the viewer's browser window (using JavaScript). This may not work well in XOOPS.");
define('_MI_GALLERY_FULL', 'Visitor size prefs');
define('_MI_GALLERY_FULLDSC', "Offer visitors the choice of always viewing the full sized versionof an image instead of the intermediary size. This setting only lasts for the visitor's session");
define('_MI_GALLERY_PRINT', 'Printing Service');
define('_MI_GALLERY_PRINTDSC', 'Allow visitors to print photos directly from the album. If you choose shutterfly, Gallery will charge an extra 2 cents (US) for every photo printed (a 4x6 print normally costs 49 cents US), and 1.8 cents of that will get donated back to the Gallery project. This is one great way for you to help support this free software. ');
define('_MI_GALLERY_RETURN', 'Gallery Link');
define('_MI_GALLERY_RETURNDSC', 'Display the top level Gallery link within the album? If you turn this feature off, the user will not be able to navigate out of the album. This is only useful when you want to embed an album within a website and not allow users to (easily) view the other albums in the gallery');
define('_MI_GALLERY_OWNER', 'Show Owner');
define('_MI_GALLERY_OWNERDSC', "Show album owner's name on the top level Gallery page?");
define('_MI_GALLERY_PERPAGE', 'Albums per page');
define('_MI_GALLERY_PERPAGEDSC', 'How many albums should be displayed per Gallery page?');
define('_MI_GALLERY_SEARCH', 'Search Engine');
define('_MI_GALLERY_SEARCHDSC', 'Display search engine on main Gallery page?');
define('_MI_GALLERY_FILENAME', 'Preserve Names');
define('_MI_GALLERY_FILENAMEDSC', 'When uploading images to Gallery, should we preserve the original names? If you select no, Gallery will assign a new name for each photo or movie that gets uploaded.');
define('_MI_GALLERY_CLICKS', 'Click counts');
define('_MI_GALLERY_CLICKSDSC', 'Display click counts within Albums?');
define('_MI_GALLERY_QUALITY', 'JPEG Quality');
define('_MI_GALLERY_QUALITYDSC', "The JPEG file format trades off size versus quality. Gallery can control the quality of the JPEGs that it produces when you resize, rotate or make thumbnails from JPEG images.Higher quality images are larger in size than lower quality images. However, in many cases there's a point at which raising the quality increases the size of the files without noticeably affecting the appearance of the image. If you notice that your thumbnails and resized images are larger than the originals and you don't like this, you can try lowering this value. Note that changing this value will only affect images changed in the future.");
define('_MI_GALLERY_TIME', 'Time Limit');
define('_MI_GALLERY_TIMEDSC', 'The maximum amount of time in seconds any single operation should take. If you find that you are getting the Maximum execution time exceeded error message, you can try making this a larger number. Be warned that if you make this too large you might have a process that is stuck for a very long time without doing anything. The default value is 30 which is pretty reasonable.');
define('_MI_GALLERY_DEBUG', 'Debug mode');
define('_MI_GALLERY_DEBUGDSC', 'Turn debug mode on so that you can diagnose problems?');
define('_MI_GALLERY_FLOCK', 'Use flock()?');
define('_MI_GALLERY_FLOCKDSC', "Gallery uses a locking system called flock() for added protection against data corruption. This is not supported on all platforms. If you're seeing errors like Could not acquire lock then set this value to no");
define('_MI_GALLERY_CLICK', 'Default Show Click Counts');
define('_MI_GALLERY_CLICKDSC', "Display click counts within Albums?");
define('_MI_GALLERY_RAND_DIR', "Random Picture Block Directory");
define('_MI_GALLERY_RAND_DIR_DESC', "The random picture block will read in all .thumb.* files from any current album directory you specify. Please fill in the top level or any sub level album directory where you want these thumbnails to be pulled from (i.e. /modules/xoopsgallery/cache/albums)");
define('_MI_GALLERY_EXIFPATH', 'Full path to jhead (optional)');
define('_MI_GALLERY_EXIFPATHDSC', "The location of JHEAD, a utilty to extract EXIF data from jpeg headers used by most digital cameras.");
define('_MI_GALLERY_EXIFCACHE', 'Cache EXIF data?');
define('_MI_GALLERY_EXIFCACHEDSC', 'Should XoopsGallery cache EXIF data?  Looking up the data can take time, but caching the data can grow the album file causing it to take longer to load in large albums.');

// Names of admin menu items

define("_MI_GALLERY_ADMIN_CONF","XOOPS Gallery Administration");
define("_MI_GALLERY_ADMIN_PREFS","Preferences");
define("_MI_GALLERY_ADMIN_PREFSDESC","Configure preferences for XOOPS Gallery.");
define("_MI_GALLERY_ADMIN_CHECKNETPBM","Check NetPBM");
define("_MI_GALLERY_ADMIN_CHECKNETPBMDESC","Check your NetPBM installation, to verify the configured path.");
define("_MI_GALLERY_ADMIN_CHECKIMAGICK","Check ImageMagick");
define("_MI_GALLERY_ADMIN_CHECKIMAGICKDESC","Check your ImageMagick installation, to verify the configured path.");
define("_MI_GALLERY_ADMIN_CHECKORPHANS","Check XoopsGallery records");
define("_MI_GALLERY_ADMIN_ORPHANDESC","Checks for data consistency.  Corrects a problem with extra parameters on XoopsGallery comment records.  Removes all the records in {prefix}_xoopsgallery_image table where there is no corresponding file.  Orphan records can be left behind when an Add Photo operation fails.  Use this function if you have had add operations fail that may have been partially saved.  Does not change any data without final confirmation.  WARNING:  Operation can be slow on large galleries.");
?>